/*
This file defines a Fichera corner domain, (-1,1)^3 \ [0,1)^3.
*/

/* Vertices */

Point(1) = {-1,-1,-1,1};
Point(2) = {1,-1,-1,1};
Point(3) = {1,1,-1,1};
Point(4) = {-1,1,-1,1};
Point(5) = {0,0,0,1};
Point(6) = {1,0,0,1};
Point(7) = {1,1,0,1};
Point(8) = {0,1,0,1};
Point(9) = {-1,-1,1,1};
Point(10)= {1,-1,1,1};
Point(11)= {1,0,1,1};
Point(12)= {0,0,1,1};
Point(13)= {0,1,1,1};
Point(14)= {-1,1,1,1};

/* Lines around the bottom */

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

/* Vertical lines of the main cube */

Line(5) = {1,9};
Line(6) = {2,10};
Line(7) = {3,7};
Line(8) = {4,14};

/* Lines around bottom of the removed cube */

Line( 9) = {5,6};
Line(10) = {6,7};
Line(11) = {7,8};
Line(12) = {8,5};

/* Vertical lines of the removed cube */

Line(13) = {5,12};
Line(14) = {6,11};
Line(15) = {8,13};

/* Lines around the top */

Line(16) = {9,10};
Line(17) = {10,11};
Line(18) = {11,12};
Line(19) = {12,13};
Line(20) = {13,14};
Line(21) = {14,9};

/* Bottom */

Line Loop(1) = {1,2,3,4};
Plane Surface(1) = {1};

/* Front, i.e. x-z plane with y=0 */

Line Loop(2) = {1,6,-16,-5};
Plane Surface(2) = {2};

/* Right */

Line Loop(3) = {2,7,-10,14,-17,-6};
Plane Surface(3) = {3};

/* Back */

Line Loop(4) = {3,8,-20,-15,-11,-7};
Plane Surface(4) = {4};

/* Left */

Line Loop(5) = {4,5,-21,-8};
Plane Surface(5) = {5};

/* Top */

Line Loop(6) = {16,17,18,19,20,21};
Plane Surface(6) = {6};

/* Bottom of removed cube */

Line Loop(7) = {9,10,11,12};
Plane Surface(7) = {7};

/* Front of removed cube */

Line Loop(8) = {9,14,18,-13};
Plane Surface(8) = {8};

/* Left of removed cube */

Line Loop(9) = {12,13,19,-15};
Plane Surface(9) = {9};

/* Volume */

Surface Loop(1) = {1,2,3,4,5,6,8,7,9};
Volume(1) = {1};
